package models

type GdybPsnRecord struct {
	ID            int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId     int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId     int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	PsnNo         string `gorm:"column:psn_no" json:"psn_no" form:"psn_no"`
	Ctime         int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime         int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status        int64  `gorm:"column:status" json:"status" form:"status"`
	IsCancel      int64  `gorm:"column:is_cancel" json:"is_cancel" form:"is_cancel"`
	TrtDclaDetlSn string `gorm:"column:trt_dcla_detl_sn" json:"trt_dcla_detl_sn" form:"trt_dcla_detl_sn"`
}

func (GdybPsnRecord) TableName() string {
	return "gdyb_psn_record"
}

type GdybPsnNcdsRecord struct {
	ID            int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId     int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId     int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	PsnNo         string `gorm:"column:psn_no" json:"psn_no" form:"psn_no"`
	Ctime         int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime         int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status        int64  `gorm:"column:status" json:"status" form:"status"`
	IsCancel      int64  `gorm:"column:is_cancel" json:"is_cancel" form:"is_cancel"`
	TrtDclaDetlSn string `gorm:"column:trt_dcla_detl_sn" json:"trt_dcla_detl_sn" form:"trt_dcla_detl_sn"`
}

func (GdybPsnNcdsRecord) TableName() string {
	return "gdyb_psn_ncds_record"
}
